当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 急`~装了BERY1后进不了LINUX~请高手过来看看[已解决]
帖子发表于 : 2007-03-17 11:56 

注册: 2007-03-16 23:36
帖子: 61
地址: 廣州
送出感谢: 0 次
接收感谢: 0 次
今天,我想装BERY1弄个3D桌面来炫炫,我是按照那张全自动帖子来就装的,http://forum.ubuntu.org.cn/viewtopic.php?t=43369
装过程中发现他自动把GLX降级了(应该就是把显卡驱动降级了),我没太在意,后来驱动的时候说什么显卡控制出现错误,进不了桌面,只能转去黑白的命令行,晕`~我是一个菜鸟,还是不很熟悉命令,求各位高手教教我!!谢谢!!!


最后由 rooney 编辑于 2007-03-21 22:19,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-03-17 16:29 

注册: 2006-02-28 17:08
帖子: 81
送出感谢: 0 次
接收感谢: 0 次
呵呵 ~ 没有多大关系了,你看看你xorg.conf 在/etc/X11/里面!
把他改回来就可以了~~

那个自动安装的DX,我没有用过,不是很清楚了,还是建议你手动安装哦,很简单的~


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-03-17 18:05 

注册: 2007-03-16 23:36
帖子: 61
地址: 廣州
送出感谢: 0 次
接收感谢: 0 次
gosnowlee 写道:
呵呵 ~ 没有多大关系了,你看看你xorg.conf 在/etc/X11/里面!
把他改回来就可以了~~

那个自动安装的DX,我没有用过,不是很清楚了,还是建议你手动安装哦,很简单的~


哦,可以告诉我具体是改哪一行吗?我刚刚接触UBUNTU不久地,没看明白。。。。。谢谢。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-03-17 18:31 

注册: 2006-02-28 17:08
帖子: 81
送出感谢: 0 次
接收感谢: 0 次
那个自动安装的DX,我没有用过,不是很清楚了。根据我手动安装过程,可以给你一下意见:
一般情况下,安装的时候会备份你原来的配置文件的xorg.conf ,一般在/etc/X11/里面,应该是xorg.conf.backup
也可能在root的跟目录,你自己找找看。之后:
代码:
sudo mv xorg.conf.backup   /etc/X11/xorg.conf


下面是我的配置文件,修改红色的部分:

# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig: version 1.0 (buildmeister@builder3) Thu Nov 9 17:55:20 PST 2006

# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
Identifier "Default Layout"
Screen "Default Screen" 0 0
InputDevice "Generic Keyboard"
InputDevice "Configured Mouse"
InputDevice "stylus" "SendCoreEvents"
InputDevice "cursor" "SendCoreEvents"
InputDevice "eraser" "SendCoreEvents"
InputDevice "Synaptics Touchpad"
EndSection

Section "Files"

# path to defoma fonts
FontPath "/usr/share/X11/fonts/misc"
FontPath "/usr/share/X11/fonts/cyrillic"
FontPath "/usr/share/X11/fonts/100dpi/:unscaled"
FontPath "/usr/share/X11/fonts/75dpi/:unscaled"
FontPath "/usr/share/X11/fonts/Type1"
FontPath "/usr/share/X11/fonts/100dpi"
FontPath "/usr/share/X11/fonts/75dpi"
FontPath "/usr/share/fonts/X11/misc"
FontPath "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
Load "i2c"
Load "bitmap"
Load "ddc"
Load "extmod"
Load "freetype"
Load "glx"
Load "int10"
Load "type1"
Load "vbe"
EndSection

Section "InputDevice"
Identifier "Generic Keyboard"
Driver "kbd"
Option "CoreKeyboard"
Option "XkbRules" "xorg"
Option "XkbModel" "pc105"
Option "XkbLayout" "us"
Option "XkbOptions" "lv3:ralt_switch"
EndSection

Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
Option "Device" "/dev/input/mice"
Option "Protocol" "ExplorerPS/2"
Option "ZAxisMapping" "4 5"
Option "Emulate3Buttons" "true"
EndSection

Section "InputDevice"
Identifier "Synaptics Touchpad"
Driver "synaptics"
Option "SendCoreEvents" "true"
Option "Device" "/dev/psaux"
Option "Protocol" "auto-dev"
Option "HorizScrollDelta" "0"
EndSection

Section "InputDevice"

# /dev/input/event
# for USB
Identifier "stylus"
Driver "wacom"
Option "Device" "/dev/wacom" # Change to
Option "Type" "stylus"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"

# /dev/input/event
# for USB
Identifier "eraser"
Driver "wacom"
Option "Device" "/dev/wacom" # Change to
Option "Type" "eraser"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "InputDevice"

# /dev/input/event
# for USB
Identifier "cursor"
Driver "wacom"
Option "Device" "/dev/wacom" # Change to
Option "Type" "cursor"
Option "ForceDevice" "ISDV4" # Tablet PC ONLY
EndSection

Section "Monitor"
Identifier "Generic Monitor"
HorizSync 28.0 - 70.0
VertRefresh 43.0 - 60.0
Option "DPMS"
EndSection

Section "Device"
Identifier "NVIDIA Corporation NV43 [GeForce Go 6600]"
Driver "nvidia" 如果你也是N卡,把这里的nvidia改成nv
EndSection

Section "Screen"
Identifier "Default Screen"
Device "NVIDIA Corporation NV43 [GeForce Go 6600]"
Monitor "Generic Monitor"
DefaultDepth 24
Option "AddARGBGLXVisuals" "True" 去掉这句
SubSection "Display"
Depth 1
Modes "1400x1050"
EndSubSection
SubSection "Display"
Depth 4
Modes "1400x1050"
EndSubSection
SubSection "Display"
Depth 8
Modes "1400x1050"
EndSubSection
SubSection "Display"
Depth 15
Modes "1400x1050"
EndSubSection
SubSection "Display"
Depth 16
Modes "1400x1050"
EndSubSection
SubSection "Display"
Depth 24
Modes "1400x1050"
EndSubSection
EndSection


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-03-17 18:57 

注册: 2007-03-16 23:36
帖子: 61
地址: 廣州
送出感谢: 0 次
接收感谢: 0 次
好感谢楼上的,问题已经解决了`~~.....不过我,还是想过一下BERYL的瘾,如果可以的话,可以把手动安装的具体程序告诉我吗???还有我的"应用程序-附件"里还是有BERYL-MANAGER"如何把他去掉,是用不了,说什么文件不存在..............我看了很多有关,装beryl的贴,但是还是装不了................可能我比较菜....呵呵 ~~小弟在此谢过...


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-03-17 21:35 

注册: 2006-10-28 18:05
帖子: 266
送出感谢: 0 次
接收感谢: 0 次
如果是dapper的话,有svn的压缩包,带齐了所有的依赖包,并提供了安装脚本,最新svn4475显示为beryl0.3.0了,很不错。


_________________
P4M 2.4GHz 256+512MDDR IGP340M共享64M
越来越喜欢beryl了,把我的桌面扩展得好大呀!


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-03-18 10:26 

注册: 2007-03-16 23:36
帖子: 61
地址: 廣州
送出感谢: 0 次
接收感谢: 0 次
哦哦`~可以提供个地址吗???谢谢`~~~请问谁可以 提供个完整的BERYL安装源`~~急需吖`~很多贴子的源都不完整~~
bob@bob-desktop:~$ sudo apt-get install beryl emerald emerald-themes
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
beryl: 依赖: beryl-core 但是它将不会被安装
依赖: libberylsettings0 但是它将不会被安装
依赖: libberyldecoration0 但是它将不会被安装
依赖: beryl-plugins 但是它将不会被安装
依赖: beryl-settings 但是它将不会被安装
依赖: beryl-manager 但是它将不会被安装
emerald: 依赖: beryl-plugins 但是它将不会被安装
依赖: libemeraldengine0 但是它将不会被安装
依赖: libberyldecoration0 但是它将不会被安装
E: 无法安装的软件包


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-03-18 13:44 

注册: 2006-10-28 18:05
帖子: 266
送出感谢: 0 次
接收感谢: 0 次
关于dapper的svn安装压缩包,搜索本站以前的帖子能够找到的。


_________________
P4M 2.4GHz 256+512MDDR IGP340M共享64M
越来越喜欢beryl了,把我的桌面扩展得好大呀!


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译